> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enkryptai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Datasets Get Summary



## OpenAPI

````yaml GET /datasets/get-summary
openapi: 3.0.0
info:
  title: Enkrypt AI APIs
  version: 2.0.0
servers:
  - url: https://api.enkryptai.com
security:
  - apiKeyAuth: []
tags:
  - name: Guardrails
  - name: Code of Conduct
  - name: Endpoints
  - name: Datasets
  - name: Redteam
  - name: Deployments
  - name: AI Proxy
  - name: Leaderboard
  - name: Archived
  - name: MCP Hub
    description: >-
      MCP Hub vulnerability scanning APIs. Submitting scans (the POST endpoints)
      is open to all authenticated callers. The scan **retrieval** APIs — Get
      Scan Job Status, Get Complete Scan Results, List Scans, and Get MCP Hub
      Scan Statistics (the GET endpoints) — are an **enterprise data-license
      feature**: they require your organization to have MCP Hub API access
      enabled by Enkrypt, otherwise they return `403`. Contact us at
      support@enkryptai.com to enable access.
  - name: MCP Registry Servers
  - name: MCP Gateways
  - name: MCP Playground
paths:
  /datasets/get-summary:
    get:
      tags:
        - Datasets
      summary: Datasets Get Summary
      operationId: datasets_get_summary_get
      parameters:
        - name: X-Enkrypt-Dataset
          in: header
          required: true
          schema:
            title: Dataset Name
            type: string
            description: The dataset name. E.g. Election
            example: Election
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetsGetSummaryResponse'
components:
  schemas:
    DatasetsGetSummaryResponse:
      type: object
      title: DatasetsGetSummaryResponse
      properties:
        test_types:
          title: Test Types
          type: array
          items:
            title: Test Type
            type: string
      example:
        test_types:
          - adv_pii_test
          - adv_bias_test
          - adv_info_test
          - adv_command_test
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: apikey

````